Subject: Re: nfs-server 2.2.47-2
From: "Angelo Turetta" <[email-masked]>
To: "Nerijus Baliunas" <[email-masked]>, "Brian Ford" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 30 Mar 2004 20:29:56 +0200

----- Original Message ----- 
From: "Nerijus Baliunas" <[email-masked]>
Sent: Tuesday, November 18, 2003 7:53 PM

> Brian Ford wrote:
>
> >>After selecting sunrpc manually and installing it, nfs-server-config
> >>installed all 3 services succesfully, but I cannot mount from
> >>neither Sun nor HP box, both give me for the first time:
> >>
> >># mount -F nfs 172.31.1.38:/tmp /c
> >>nfs mount: mount: /c: No such file or directory
> >
> > Well, did /c exist before you tried to mount on it.  AFAIK, most OSs
> > require that.
>
> Of course.
>
> Nerijus

Don't know if someone else have seen this problem. I did, and found this
message from a Google search, but no answer.
After some tests, I came to a base rule: file systems mounted without a
'real' directory behind, cannot be nfs-exported.

So, to correctly export    /c   containing the root of the C: windows drive,
you need to actually create the directory hidden behind the mountpoint.
Easier to do than to say:

Execute a 'mount' command without any parameter, you should get an output
like this:

       C:\cygwin on / type system (binmode)
       c: on /c type system (binmode,noumount)
       d: on /d type system (binmode,noumount)

This means that your cygwin root is actually c:\cygwin. To be able to
nfs-export any directory from the windows drives, you just need to create
'c' and 'd' directories under C:\cygwin

from DOS Command Prompt:
     md c:\cygwin\c
     md c:\cygwin\d

from cygwin shell
    mkdir /c/cygwin/c
    mkdir /c/cygwin/d

Hope this helps someone.

Ciao,
Angelo Turetta

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/